Comment 91 for bug 993187

Very good news for Intel Ivy Bridge (i5-3570K, etc.) users!

It's a Kernel Bug (drm-intel).

Install Linux 3.3.6 and the system runs stable :-))

Link: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.3.6-precise/

Download this files in a folder:
linux-headers-3.3.6-030306-generic_3.3.6-030306.201205121335_amd64.deb
linux-headers-3.3.6-030306_3.3.6-030306.201205121335_all.deb
linux-image-3.3.6-030306-generic_3.3.6-030306.201205121335_amd64.deb

Start the Terminal, go to your download folder and type this:
dpkg -i *.deb